# Copyright 2004, Rick Wilson 

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :          holes.rb 1.0
# Description :   Makes holes in faces (what can you say?)
# Author :        Rick Wilson
# Usage :         1. Install into the plugins directory or into the 
#                    Plugins/examples directory and manually load from the ruby console "load 'examples/holes.rb'" 
#                 2. Run "Make holes in faces" from the Plugins menu.
# Date :          27.Jul.2004
# Type :          Tool
# History:        1.0 (20.Jul.2004) - first version
# 

require 'sketchup.rb'
require 'fr_offset.rb'

def holes
	model=Sketchup.active_model
	ents=model.active_entities
	sel=model.selection
	prompts=["Distance de decalage (trou  l'intrieur si < 0): "]
	 if not $o_dist
		values=[-10.cm]
	else
		values=[$o_dist]
	end
	$o_dist=inputbox(prompts,values,"Parametres de creusage").first
	for ent in sel
		if ent.class == Sketchup::Face
			ent.offset($o_dist).erase!
		end
	end
	sel.clear
end

if (not file_loaded?("fr_holes.rb"))
    UI.menu("Plugins").add_item("Trouer des faces") { holes }
end
file_loaded("fr_holes.rb")

